/**
 * Natural Interactivity Tools Engineering
 * Copyright (c) 2004, Jean Carletta, Jonathan Kilgour, Natasa Jovanovic, Dennis Reidsma
 * See the README file in this distribution for licence.
 */
import net.sourceforge.nite.gui.transcriptionviewer.*;
import net.sourceforge.nite.nom.nomwrite.*;

import java.util.Iterator;
import java.util.List;


/**
 * A very simple delegate made especially for the Switchboard corpus. See
 * interface documentation for moreinfo.  <p>
 * @author Dennis Reidsma, UTwente
 */
public class SwitchboardDelegate implements TranscriptionToTextDelegate {
    private final String WORD="word";
    private final String PUNC="punc";
    private final String SIL="sil";
    private final String ORTH="orth";

    /**
     * Return a string representation for the given element from a transcription layer.
     */
    public String getTextForTranscriptionElement(NOMElement nme) {
	String name = nme.getName();
	String content = "";
	
	if (name.equalsIgnoreCase(PUNC)) {
        	content = nme.getText();
		if (content==null) { return ""; }
		return content.trim();
	} else if (name.equalsIgnoreCase(SIL)) {
	    return "";
        } else if (name.equalsIgnoreCase(WORD)) {
        	NOMAttribute orth = nme.getAttribute(ORTH);
		if (orth==null) { return ""; }
		content = orth.getStringValue();
		if (content==null) { return ""; }
		return content.trim();
	} else {
	    return "[" + name + "]";
	}
	
    }
}

